<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_target_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_target_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__target.html">Target APIs</a>]</small>
</h1><!-- doxytag: class="tivx_target_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Target object internal state. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__t.html#a51f83d9caf0818c0862697adccf99197">target_id</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ID of this target.  <a href="#a51f83d9caf0818c0862697adccf99197"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__task.html">tivx_task</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__t.html#a0c66df840eb31311136334a662fbd905">task_handle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Handle to underlying task associate with this target.  <a href="#a0c66df840eb31311136334a662fbd905"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__task__create__params__t.html">tivx_task_create_params_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__t.html#ae6ba4d3b80daa3f4155f205467d6917f">task_params</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameters of task associated with this target.  <a href="#ae6ba4d3b80daa3f4155f205467d6917f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__queue.html">tivx_queue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__t.html#ad8a879320dbc50898853cb87c39c2c05">job_queue_handle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">handle to job queue associated with this target  <a href="#ad8a879320dbc50898853cb87c39c2c05"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__t.html#a9bad213eb3acdf54a8d316ebc59a7a5e">job_queue_memory</a> [TIVX_TARGET_MAX_JOB_QUEUE_DEPTH]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">queue memory  <a href="#a9bad213eb3acdf54a8d316ebc59a7a5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target.html#ga764deb8ef94df7eab04d438ad221276a">tivx_task_main_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__t.html#a1732a7c5991338bb7ab4b038cbfd4150">target_main</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">target main  <a href="#a1732a7c5991338bb7ab4b038cbfd4150"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__t.html#aaeec0307b0da4d8ef5b477b6a2ad2657">targetExitRequest</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to request target to exit main so that it can be deleted.  <a href="#aaeec0307b0da4d8ef5b477b6a2ad2657"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__t.html#a88f9d191258baa5a1ecb7632c35879f2">targetExitDone</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate target exited its processing loop and is about to exit its main function.  <a href="#a88f9d191258baa5a1ecb7632c35879f2"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a51f83d9caf0818c0862697adccf99197"></a><!-- doxytag: member="tivx_target_t::target_id" ref="a51f83d9caf0818c0862697adccf99197" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__target__t.html#a51f83d9caf0818c0862697adccf99197">tivx_target_t::target_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ID of this target. </p>

</div>
</div>
<a class="anchor" id="a0c66df840eb31311136334a662fbd905"></a><!-- doxytag: member="tivx_target_t::task_handle" ref="a0c66df840eb31311136334a662fbd905" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__task.html">tivx_task</a> <a class="el" href="structtivx__target__t.html#a0c66df840eb31311136334a662fbd905">tivx_target_t::task_handle</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Handle to underlying task associate with this target. </p>

</div>
</div>
<a class="anchor" id="ae6ba4d3b80daa3f4155f205467d6917f"></a><!-- doxytag: member="tivx_target_t::task_params" ref="ae6ba4d3b80daa3f4155f205467d6917f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__task__create__params__t.html">tivx_task_create_params_t</a> <a class="el" href="structtivx__target__t.html#ae6ba4d3b80daa3f4155f205467d6917f">tivx_target_t::task_params</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parameters of task associated with this target. </p>

</div>
</div>
<a class="anchor" id="ad8a879320dbc50898853cb87c39c2c05"></a><!-- doxytag: member="tivx_target_t::job_queue_handle" ref="ad8a879320dbc50898853cb87c39c2c05" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__queue.html">tivx_queue</a> <a class="el" href="structtivx__target__t.html#ad8a879320dbc50898853cb87c39c2c05">tivx_target_t::job_queue_handle</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>handle to job queue associated with this target </p>

</div>
</div>
<a class="anchor" id="a9bad213eb3acdf54a8d316ebc59a7a5e"></a><!-- doxytag: member="tivx_target_t::job_queue_memory" ref="a9bad213eb3acdf54a8d316ebc59a7a5e" args="[TIVX_TARGET_MAX_JOB_QUEUE_DEPTH]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__target__t.html#a9bad213eb3acdf54a8d316ebc59a7a5e">tivx_target_t::job_queue_memory</a>[TIVX_TARGET_MAX_JOB_QUEUE_DEPTH]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>queue memory </p>

</div>
</div>
<a class="anchor" id="a1732a7c5991338bb7ab4b038cbfd4150"></a><!-- doxytag: member="tivx_target_t::target_main" ref="a1732a7c5991338bb7ab4b038cbfd4150" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target.html#ga764deb8ef94df7eab04d438ad221276a">tivx_task_main_f</a> <a class="el" href="structtivx__target__t.html#a1732a7c5991338bb7ab4b038cbfd4150">tivx_target_t::target_main</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>target main </p>

</div>
</div>
<a class="anchor" id="aaeec0307b0da4d8ef5b477b6a2ad2657"></a><!-- doxytag: member="tivx_target_t::targetExitRequest" ref="aaeec0307b0da4d8ef5b477b6a2ad2657" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__target__t.html#aaeec0307b0da4d8ef5b477b6a2ad2657">tivx_target_t::targetExitRequest</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to request target to exit main so that it can be deleted. </p>

</div>
</div>
<a class="anchor" id="a88f9d191258baa5a1ecb7632c35879f2"></a><!-- doxytag: member="tivx_target_t::targetExitDone" ref="a88f9d191258baa5a1ecb7632c35879f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__target__t.html#a88f9d191258baa5a1ecb7632c35879f2">tivx_target_t::targetExitDone</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to indicate target exited its processing loop and is about to exit its main function. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
